This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495191 - Clicking on the gnome shutdown applet lets my box hang
Clicking on the gnome shutdown applet lets my box hang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-04-10 04:13 EDT by Joachim Backes
Modified: 2015-01-14 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-25 13:36:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2009-04-10 04:13:29 EDT
Description of problem:
I'm running gnome as favorite desktop environment. Since the most recent F11 Beta updates (friday, April 10), the shutdown applet in a gnome panel does no more reboot my box: the computer hangs with an empty X11 desktop.

Switching to a text console in this state and entering Ctrl+Alt+Del reboots the box properly.


Version-Release number of selected component (if applicable):
gdm-2.26.0-7.fc11.i586

How reproducible:
I tried several times with the same results


Steps to Reproduce:
1.Klick on the shutdown applet in the gnome panel
2.Answer yes for restart or shutdown
3.
  
Actual results:
The box hangs after a "certain noise" of shutdown/restart has been started

Expected results:
shutdown or restart is performed

Additional info:
================= 

Part of /var/log/messages:

Apr 10 07:59:14 localhost init: tty4 main process (2153) killed by TERM signal
Apr 10 07:59:14 localhost init: tty5 main process (2154) killed by TERM signal
Apr 10 07:59:14 localhost init: tty2 main process (2155) killed by TERM signal
Apr 10 07:59:14 localhost init: tty3 main process (2156) killed by TERM signal
Apr 10 07:59:14 localhost init: tty6 main process (2157) killed by TERM signal
Apr 10 07:59:14 localhost init: rc6 main process (2686) killed by TERM signal
Apr 10 07:59:14 localhost gdm[2694]: ******************* START **********************************
Apr 10 07:59:15 localhost gdm[2694]: 0x005dc422 in __kernel_vsyscall ()
Apr 10 07:59:15 localhost gdm[2694]: #0  0x005dc422 in __kernel_vsyscall ()
Apr 10 07:59:15 localhost gdm[2694]: #1  0x00b2b2a3 in __waitpid_nocancel () from /lib/libc.so.6
Apr 10 07:59:15 localhost gdm[2694]: #2  0x08066829 in ?? ()
Apr 10 07:59:15 localhost gdm[2694]: #3  0x08066921 in ?? ()
Apr 10 07:59:15 localhost gdm[2694]: #4  <signal handler called>
Apr 10 07:59:15 localhost gdm[2694]: #5  0x00258722 in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #6  0x0805a75a in endutxent ()
Apr 10 07:59:15 localhost gdm[2694]: #7  0x00247a98 in g_cclosure_marshal_VOID(int0_t) ()
Apr 10 07:59:15 localhost gdm[2694]:    from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #8  0x0023a352 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #9  0x0024fcc8 in ?? () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #10 0x0025101d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #11 0x002514a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #12 0x0805c8ec in endutxent ()
Apr 10 07:59:15 localhost gdm[2694]: #13 0x002a52a2 in ?? () from /lib/libglib-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #14 0x002a70e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #15 0x002aa6f8 in ?? () from /lib/libglib-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #16 0x002aabaf in g_main_loop_run () from /lib/libglib-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: #17 0x0804d2af in endutxent ()
Apr 10 07:59:15 localhost gdm[2694]: #18 0x00aa37c6 in __libc_start_main () from /lib/libc.so.6
Apr 10 07:59:15 localhost gdm[2694]: #19 0x0804cea1 in endutxent ()
Apr 10 07:59:15 localhost gdm[2694]:
Apr 10 07:59:15 localhost gdm[2694]: Thread 1 (process 2216):
Apr 10 07:59:15 localhost gdm[2694]: #0  0x005dc422 in __kernel_vsyscall ()
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #1  0x00b2b2a3 in __waitpid_nocancel () from /lib/libc.so.6
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #2  0x08066829 in ?? ()
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #3  0x08066921 in ?? ()
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #4  <signal handler called>
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #5  0x00258722 in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #6  0x0805a75a in endutxent ()
Apr 10 07:59:15 localhost gdm[2694]: No symbol table info available.
Apr 10 07:59:15 localhost gdm[2694]: #7  0x00247a98 in g_cclosure_marshal_VOID(int0_t) ()
Apr 10 08:02:01 localhost gdm[2715]:    from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #8  0x00ca4352 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #9  0x00cb9cc8 in ?? () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #10 0x00cbb01d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #11 0x00cbb4a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #12 0x0805c8ec in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: #13 0x005af2a2 in ?? () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #14 0x005b10e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #15 0x005b46f8 in ?? () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #16 0x005b4baf in g_main_loop_run () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: #17 0x0804d2af in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: #18 0x002a67c6 in __libc_start_main () from /lib/libc.so.6
Apr 10 08:02:01 localhost gdm[2715]: #19 0x0804cea1 in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]:
Apr 10 08:02:01 localhost gdm[2715]: Thread 1 (process 2217):
Apr 10 08:02:01 localhost gdm[2715]: #0  0x00579422 in __kernel_vsyscall ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #1  0x0032e2a3 in __waitpid_nocancel () from /lib/libc.so.6
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #2  0x08066829 in ?? ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #3  0x08066921 in ?? ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #4  <signal handler called>
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #5  0x00cc2722 in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #6  0x0805a75a in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #7  0x00cb1a98 in g_cclosure_marshal_VOID(int0_t) ()
Apr 10 08:02:01 localhost gdm[2715]:    from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #8  0x00ca4352 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #9  0x00cb9cc8 in ?? () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #10 0x00cbb01d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #11 0x00cbb4a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #12 0x0805c8ec in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #13 0x005af2a2 in ?? () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #14 0x005b10e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #15 0x005b46f8 in ?? () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #16 0x005b4baf in g_main_loop_run () from /lib/libglib-2.0.so.0
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #17 0x0804d2af in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #18 0x002a67c6 in __libc_start_main () from /lib/libc.so.6
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: #19 0x0804cea1 in endutxent ()
Apr 10 08:02:01 localhost gdm[2715]: No symbol table info available.
Apr 10 08:02:01 localhost gdm[2715]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Apr 10 08:02:01 localhost gdm[2715]: ******************* END **********************************
Comment 1 Joachim Backes 2009-04-10 04:20:07 EDT
typing "sudo reboot" in a gnome-terminal for testing purp. reboots properly.
Comment 2 Michael Wagner 2009-04-12 10:12:00 EDT
This happens after an update from gnome-session-2.26.0 to gnome-session-2.26.0.90. The following commands are working from within a gnome-session:

dbus-send --system --print-reply --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Restart
dbus-send --system --print-reply --dest=org.freedesktop.Hal /org/freedesktop/Hal/devices/computer org.freedesktop.Hal.Device.SystemPowerManagement.Reboot

Greetings,

Michael
Comment 3 Michael Wagner 2009-04-14 15:28:21 EDT
As suspected, the current gnome-session release (2.26.1) doesn't solve this issue for me. The latest working revision is 5376.

Greetings,

Michael
Comment 4 Tom London 2009-04-15 16:08:36 EDT
FYI, I'm seeing similar thing running:
gdm-2.26.1-1.fc11.x86_64
gdm-user-switch-applet-2.26.1-1.fc11.x86_64

and trying to "reboot".  Doesn't seem to happen if I "shutdown".

Would 'debuginfo' trace be useful?

Apr 15 12:54:44 tlondon console-kit-daemon[2535]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 15 12:54:44 tlondon console-kit-daemon[2535]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 15 12:54:44 tlondon console-kit-daemon[2535]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 15 12:54:44 tlondon console-kit-daemon[2535]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 15 12:54:44 tlondon console-kit-daemon[2535]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 15 12:54:44 tlondon init: tty4 main process (2872) killed by TERM signal
Apr 15 12:54:44 tlondon init: tty5 main process (2873) killed by TERM signal
Apr 15 12:54:44 tlondon init: tty3 main process (2875) killed by TERM signal
Apr 15 12:54:44 tlondon init: tty6 main process (2876) killed by TERM signal
Apr 15 12:54:44 tlondon init: tty2 main process (3768) killed by TERM signal
Apr 15 12:54:44 tlondon gdm-simple-slave[3796]: GLib-GObject-CRITICAL: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Apr 15 12:54:44 tlondon init: rc6 main process (9549) killed by TERM signal
Apr 15 12:54:44 tlondon gdm[9552]: ******************* START **********************************
Apr 15 12:54:45 tlondon gdm[9552]: 0x00000036948a4a2e in waitpid () from /lib64/libc.so.6
Apr 15 12:54:45 tlondon gdm[9552]: #0  0x00000036948a4a2e in waitpid () from /lib64/libc.so.6
Apr 15 12:54:45 tlondon gdm[9552]: #1  0x000000000041e30b in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #2  0x000000000041e3b7 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #3  <signal handler called>
Apr 15 12:54:45 tlondon gdm[9552]: #4  0x0000003696829af0 in g_type_check_instance_cast ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #5  0x00000000004133d1 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: #6  0x000000369680b8ae in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #7  0x0000003696820ff5 in ?? () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #8  0x000000369682240f in g_signal_emit_valist ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #9  0x0000003696822963 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #10 0x00000036964362c4 in ?? () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #11 0x000000369643818e in g_main_context_dispatch ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #12 0x000000369643b8e8 in ?? () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #13 0x000000369643bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: #14 0x00000000004070b0 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: #15 0x000000369481e83d in __libc_start_main () from /lib64/libc.so.6
Apr 15 12:54:45 tlondon gdm[9552]: #16 0x0000000000406d59 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: #17 0x00007fff29221d18 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #18 0x000000000000001c in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #19 0x0000000000000003 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #20 0x00007fff29222d3b in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: #21 0x0000000000000000 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: 
Apr 15 12:54:45 tlondon gdm[9552]: Thread 1 (process 3796):
Apr 15 12:54:45 tlondon gdm[9552]: #0  0x00000036948a4a2e in waitpid () from /lib64/libc.so.6
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #1  0x000000000041e30b in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #2  0x000000000041e3b7 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #3  <signal handler called>
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #4  0x0000003696829af0 in g_type_check_instance_cast ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #5  0x00000000004133d1 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #6  0x000000369680b8ae in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #7  0x0000003696820ff5 in ?? () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #8  0x000000369682240f in g_signal_emit_valist ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #9  0x0000003696822963 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #10 0x00000036964362c4 in ?? () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #11 0x000000369643818e in g_main_context_dispatch ()
Apr 15 12:54:45 tlondon gdm[9552]:    from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #12 0x000000369643b8e8 in ?? () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #13 0x000000369643bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #14 0x00000000004070b0 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #15 0x000000369481e83d in __libc_start_main () from /lib64/libc.so.6
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #16 0x0000000000406d59 in dbus_message_append_args ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #17 0x00007fff29221d18 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #18 0x000000000000001c in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #19 0x0000000000000003 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #20 0x00007fff29222d3b in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: #21 0x0000000000000000 in ?? ()
Apr 15 12:54:45 tlondon gdm[9552]: No symbol table info available.
Apr 15 12:54:45 tlondon gdm[9552]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Apr 15 12:54:45 tlondon gdm[9552]: ******************* END **********************************
Apr 15 12:55:02 tlondon NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> group handshake
Comment 5 Matthias Clasen 2009-04-25 01:03:50 EDT
Stacktrace looks identical to the one in bug 496382. Do you still see this problem after updating to gdm 2.26.1-2.fc11 ?
Comment 6 Joachim Backes 2009-04-25 05:02:03 EDT
(In reply to comment #5)
> Stacktrace looks identical to the one in bug 496382. Do you still see this
> problem after updating to gdm 2.26.1-2.fc11 ?  

I could check it with the actually installed gdm-2.26.1-3.fc11.i586: the problem disappeared.
Comment 7 Matthias Clasen 2009-04-25 13:36:26 EDT
Great, thanks for testing.
Comment 8 Michael Wagner 2009-04-26 06:59:15 EDT
(In reply to comment #7)
> Great, thanks for testing.  

Hmmh, although it happens lesss frequently lately, I am somestimes not able to reboot via gnome's system menu (gnome-session-save --shutdown-dialog). It seems as if gnome-session-save is working:

gnome-session[4013]: DEBUG(+): GsmManager: Shutdown called
gnome-session[4013]: DEBUG(+): GsmManager: Logout dialog response: 3
gnome-session[4013]: DEBUG(+): GsmManager: requesting reboot
gnome-session[4013]: DEBUG(+): GsmManager: ending phase RUNNING
gnome-session[4013]: DEBUG(+): GsmManager: starting phase QUERY_END_SESSION
gnome-session[4013]: DEBUG(+): GsmManager: query end session complete
gnome-session[4013]: DEBUG(+): GsmManager: ending phase QUERY_END_SESSION
gnome-session[4013]: DEBUG(+): GsmManager: starting phase END_SESSION
gnome-session[4013]: DEBUG(+): GsmManager: ending phase END_SESSION
gnome-session[4013]: DEBUG(+): GsmManager: starting phase EXIT
gnome-session[4013]: DEBUG(+): GsmManager: ending phase EXIT


The following version are installed:

gdm-2.26.1-4.fc11.i586
gdm-user-switch-applet-2.26.1-4.fc11.i586
gnome-session-2.26.1-1.fc11.i586
gnome-session-xsession-2.26.1-1.fc11.i586
Comment 9 Michael Wagner 2009-05-02 03:45:09 EDT
My shutdown problems are solved. See bug 495326.

Note You need to log in before you can comment on or make changes to this bug.